### Function

# Gsk ComponentTransfer new_linear

since: 4.20

#### Declaration [src]

    GskComponentTransfer*
    gsk_component_transfer_new_linear (
      float m,
      float b
    )

#### Description [src]

Creates a new component transfer that applies a linear transform.

The new value is computed as

    C' = C * m + b

.

Available since: 4.20

#### Parameters

`m`

  Type: `float`

  Slope.

`b`

  Type: `float`

  Offset.

#### Return value

Type: `GskComponentTransfer`

A new `GskComponentTransfer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.